declare const LeafTestContext: any
export class TestRunner {
    public pathes: string[]
    constructor(...pathes: string[]) {
        this.pathes = pathes
    }
    run(pathes: string[] = this.pathes) {
        mocha["suite"].suites = [];
        mocha.setup("bdd")
        mocha.checkLeaks()
        for (let path of pathes) {
            let test = require(path)
            test.run()
        }
        mocha.run()
    }
}
